---
date: 2020-11-09
id: 7ba8d853-d642-45fe-9de8-2d50e6c70b6d
title: PHP 8.0
---

# Changes

## Types

-   [Union Type](20201109133923-php_union_type)
-   [Mixed Type](20201113122959-php_mixed_type)

## Operators

-   [Nullsafe Operator](20201110100120-php_nullsafe_operator)

## Attributes

-   [Attributes](20201110100420-php_attributes)

## Classes

### Constructors

-   [Constructor Property
    Promotion](20201110101308-php_constructor_property_promotion)

## Return types

-   [Static Return Type](20201110102332-php_static_return_type)

## Literals

-   [Class Name Literal](20201110102900-php_class_name_literal)

## Interfaces

-   [Stringable Interface](20201110103409-php_stringable_interface)

## Maps

-   [Weap Maps](20201110103654-php_weak_maps)

## Errors

-   [Throw Expression](20201111100807-php_throw_expression)
-   [Non-capturing Catches](20201111101148-php_non_capturing_catches)

## Parameters

-   [Named Arguments](20201112111910-named_arguments)
-   [Trailing Comma in Parameter
    Lists](20201112113236-trailing_comma_in_parameter_lists)

## Functions

-   [str~contains~()](20201113115231-str_contains)
-   [str~startswith~()](20201113115424-str_starts_with)
-   [str~endswith~()](20201113115452-str_ends_with)
-   [get~debugtype~()](20201113115939-get_debug_type)
-   [get~resourceid~()](20201113120246-get_resource_id)

## Objects

### DateTime

-   [createFromInterface()](20201113123327-createfrominterface)

## Expressions

-   [Match expression](20201113121813-match_expression)
